## django-uwsgi 0.1.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-uwsgi.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-uwsgi.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-uwsgi"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-uwsgi"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
django-uwsgi (0.1.3-2) unstable; urgency=medium

  * Fix name of doc-base registration (Closes: #802887).
  * git-dpm config.
  * Initialize git-dpm.

 -- Michael Fladischer <fladi@debian.org>  Mon, 26 Oct 2015 20:07:11 +0100

django-uwsgi (0.1.3-1) unstable; urgency=low

  * Initial release (Closes: #798987).

 -- Michael Fladischer <fladi@debian.org>  Tue, 28 Apr 2015 17:35:01 +0200

=== debian/control ===
Source: django-uwsgi
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4
Homepage: https://github.com/unbit/django-uwsgi
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-uwsgi.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-uwsgi.git

Package: python-django-uwsgi
Architecture: all
Depends: python-django,
         uwsgi-plugin-python,
         ${misc:Depends},
         ${python:Depends}
Enhances: python-django-debug-toolbar
Description: uWSGI related tools for Django
 django-uwsgi provides several features for Django projects deployed to uWSGI:
 .
  * Admin page with uWSGI stats (options to reload/stop uWSGI, clear uWSGI
    cache)
  * uWSGI Cache Backend for Django
  * uWSGI Email Backend for Django(send emails via uWSGI's spooler)
  * Debug Panel for django-debug-toolbar (offers same functions as admin page)
  * Django template loader for embedded into uWSGI files
  * Django Management Command runuwsgi (with live autoreload when DEBUG is True)
  * uWSGI config generator
  * Django CBV Mixins based on uWSGI decorators

Package: python3-django-uwsgi
Architecture: all
Depends: python3-django,
         uwsgi-plugin-python3,
         ${misc:Depends},
         ${python3:Depends}
Enhances: python3-django-debug-toolbar
Description: uWSGI related tools for Django (Python3 version)
 django-uwsgi provides several features for Django projects deployed to uWSGI:
 .
  * Admin page with uWSGI stats (options to reload/stop uWSGI, clear uWSGI
    cache)
  * uWSGI Cache Backend for Django
  * uWSGI Email Backend for Django(send emails via uWSGI's spooler)
  * Debug Panel for django-debug-toolbar (offers same functions as admin page)
  * Django template loader for embedded into uWSGI files
  * Django Management Command runuwsgi (with live autoreload when DEBUG is True)
  * uWSGI config generator
  * Django CBV Mixins based on uWSGI decorators
 .
 This package contains the Python 3 version of the library.

Package: python-django-uwsgi-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: uWSGI related tools for Django (Documentation)
 django-uwsgi provides several features for Django projects deployed to uWSGI:
 .
  * Admin page with uWSGI stats (options to reload/stop uWSGI, clear uWSGI
    cache)
  * uWSGI Cache Backend for Django
  * uWSGI Email Backend for Django(send emails via uWSGI's spooler)
  * Debug Panel for django-debug-toolbar (offers same functions as admin page)
  * Django template loader for embedded into uWSGI files
  * Django Management Command runuwsgi (with live autoreload when DEBUG is True)
  * uWSGI config generator
  * Django CBV Mixins based on uWSGI decorators
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-uwsgi

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html

override_dh_clean:
	rm -rf docs/.build
	dh_clean

override_dh_fixperms:
	dh_fixperms
	chmod 0644 debian/python*-django-uwsgi/usr/lib/python*/*-packages/django_uwsgi/templates/uwsgi/*.html

override_dh_compress:
	dh_compress -Xchangelog.html

## django-uwsgi 0.1.6

=== debian/changelog ===
django-uwsgi (0.1.6-1) unstable; urgency=low

  * New upstream release.
  * Clean up .DS_Store files before install.

 -- Michael Fladischer <fladi@debian.org>  Wed, 19 Oct 2016 12:17:29 +0200

django-uwsgi (0.1.3-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * Add python3-sphinx-rtd-theme to Build-Depends (Closes:
    830318,830326).
  * Clean django_uwsgi.egg-info/SOURCES.txt to allow two builds in a
    row.
  * Bump Standards-Version to 3.9.8.

 -- Michael Fladischer <fladi@debian.org>  Thu, 18 Aug 2016 21:37:45 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
                python-setuptools,
                python3-all,
                python3-setuptools,
-               python3-sphinx
-Standards-Version: 3.9.6
+               python3-sphinx,
+               python3-sphinx-rtd-theme
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.4
 Homepage: https://github.com/unbit/django-uwsgi
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-uwsgi.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-uwsgi.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-uwsgi.git
 
 Package: python-django-uwsgi
 Architecture: all

## django-uwsgi 0.2.1

=== debian/changelog ===
django-uwsgi (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.0.0.
  * Add patch to use local copies of screenshot images.

 -- Michael Fladischer <fladi@debian.org>  Mon, 17 Jul 2017 09:30:04 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.4
 Homepage: https://github.com/unbit/django-uwsgi

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
 
 override_dh_clean:
+	find -name .DS_Store -type f -delete
 	rm -rf docs/.build
 	dh_clean

## django-uwsgi 0.2.2

=== debian/changelog ===
django-uwsgi (0.2.2-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * New upstream release.
  * Add debian/gbp.conf.
  * Refresh patches.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.2.1.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Clean up django_uwsgi.egg-info/PKG-INFO to allow two builds in a
    row.
  * Enable autopkgtest-pkg-python testsuite.
  * Adapt doc-base registration to new doucmentation directory
    structure.

 -- Michael Fladischer <fladi@debian.org>  Fri, 31 Aug 2018 09:16:00 +0200

=== debian/control ===
Source: django-uwsgi
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.2.1
Homepage: https://github.com/unbit/django-uwsgi
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-uwsgi
Vcs-Git: https://salsa.debian.org/python-team/modules/django-uwsgi.git
Testsuite: autopkgtest-pkg-python

Package: python-django-uwsgi
Architecture: all
Depends:
 python-django,
 uwsgi-plugin-python,
 ${misc:Depends},
 ${python:Depends},
Enhances:
 python-django-debug-toolbar,
Description: uWSGI related tools for Django
 django-uwsgi provides several features for Django projects deployed to uWSGI:
 .
  * Admin page with uWSGI stats (options to reload/stop uWSGI, clear uWSGI
    cache)
  * uWSGI Cache Backend for Django
  * uWSGI Email Backend for Django(send emails via uWSGI's spooler)
  * Debug Panel for django-debug-toolbar (offers same functions as admin page)
  * Django template loader for embedded into uWSGI files
  * Django Management Command runuwsgi (with live autoreload when DEBUG is True)
  * uWSGI config generator
  * Django CBV Mixins based on uWSGI decorators

Package: python-django-uwsgi-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: uWSGI related tools for Django (Documentation)
 django-uwsgi provides several features for Django projects deployed to uWSGI:
 .
  * Admin page with uWSGI stats (options to reload/stop uWSGI, clear uWSGI
    cache)
  * uWSGI Cache Backend for Django
  * uWSGI Email Backend for Django(send emails via uWSGI's spooler)
  * Debug Panel for django-debug-toolbar (offers same functions as admin page)
  * Django template loader for embedded into uWSGI files
  * Django Management Command runuwsgi (with live autoreload when DEBUG is True)
  * uWSGI config generator
  * Django CBV Mixins based on uWSGI decorators
 .
 This package contains the documentation.

Package: python3-django-uwsgi
Architecture: all
Depends:
 python3-django,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 python3-django-debug-toolbar,
Description: uWSGI related tools for Django (Python3 version)
 django-uwsgi provides several features for Django projects deployed to uWSGI:
 .
  * Admin page with uWSGI stats (options to reload/stop uWSGI, clear uWSGI
    cache)
  * uWSGI Cache Backend for Django
  * uWSGI Email Backend for Django(send emails via uWSGI's spooler)
  * Debug Panel for django-debug-toolbar (offers same functions as admin page)
  * Django template loader for embedded into uWSGI files
  * Django Management Command runuwsgi (with live autoreload when DEBUG is True)
  * uWSGI config generator
  * Django CBV Mixins based on uWSGI decorators
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
+	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
 
 override_dh_clean:
 	find -name .DS_Store -type f -delete

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-uwsgi/django-uwsgi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-uwsgi 1.1.2

=== docs/Makefile ===
--- 
+++ 
@@ -85,17 +85,17 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-uwsgi.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-uwsgi-ng.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-uwsgi.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-uwsgi-ng.qhc"
 
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-uwsgi"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-uwsgi"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-uwsgi-ng"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-uwsgi-ng"
 	@echo "# devhelp"
 
 epub:

=== debian/changelog ===
django-uwsgi (1.1.2-3) unstable; urgency=medium

  [ Mohammed Bilal ]
  * d/t/autopkgtest-pkg-python.conf: set import_name for autodep.
    Closes: #997874

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 13:35:39 +0000

django-uwsgi (1.1.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 01:32:03 +0100

django-uwsgi (1.1.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Dominik George ]
  * New upstream version.
    + Switch upstream to django-uwsgi-ng.
      + Add README.source documenting the upstream switch.
    + Rename binary packages, and provide transitional packages.
    + Refresh patches.
  * Friendly takeover of Uploaders after "soft-orphan" by fladi.
  * Remove left-over .docs file for python-django-uwsgi.
  * Fix broken paths in doc-base file.

 -- Dominik George <natureshadow@debian.org>  Thu, 07 Oct 2021 15:35:12 +0200

django-uwsgi (0.2.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support, as Django 2.2 doesn't support it anymore.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Jul 2019 03:06:29 +0200

=== debian/control ===
Source: django-uwsgi
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.2.1
Homepage: https://edugit.org/AlekSIS/libs/django-uwsgi-ng
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-uwsgi
Vcs-Git: https://salsa.debian.org/python-team/packages/django-uwsgi.git
Testsuite: autopkgtest-pkg-python

Package: python-django-uwsgi-ng-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Conflicts: python-django-uwsgi-doc (<< 1.1.2~)
Replaces: python-django-uwsgi-doc (<< 1.1.2~)
Provides: python-django-uwsgi-doc
Description: uWSGI related tools for Django (Documentation)
 django-uwsgi provides several features for Django projects deployed to uWSGI:
 .
  * Admin page with uWSGI stats (options to reload/stop uWSGI, clear uWSGI
    cache)
  * uWSGI Cache Backend for Django
  * uWSGI Email Backend for Django(send emails via uWSGI's spooler)
  * Debug Panel for django-debug-toolbar (offers same functions as admin page)
  * Django template loader for embedded into uWSGI files
  * Django Management Command runuwsgi (with live autoreload when DEBUG is True)
  * uWSGI config generator
  * Django CBV Mixins based on uWSGI decorators
 .
 This package contains the documentation.

Package: python3-django-uwsgi-ng
Architecture: all
Depends:
 python3-django,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 python3-django-debug-toolbar,
Conflicts: python3-django-uwsgi (<< 1.1.2~)
Replaces: python3-django-uwsgi (<< 1.1.2~)
Provides: python3-django-uwsgi
Description: uWSGI related tools for Django (Python3 version)
 django-uwsgi provides several features for Django projects deployed to uWSGI:
 .
  * Admin page with uWSGI stats (options to reload/stop uWSGI, clear uWSGI
    cache)
  * uWSGI Cache Backend for Django
  * uWSGI Email Backend for Django(send emails via uWSGI's spooler)
  * Debug Panel for django-debug-toolbar (offers same functions as admin page)
  * Django template loader for embedded into uWSGI files
  * Django Management Command runuwsgi (with live autoreload when DEBUG is True)
  * uWSGI config generator
  * Django CBV Mixins based on uWSGI decorators
 .
 This package contains the Python 3 version of the library.

Package: python-django-uwsgi-doc
Section: oldlibs
Architecture: all
Depends:
 ${misc:Depends},
 python-django-uwsgi-ng-doc
Description: uWSGI related tools for Django (Documentation, transitional dummy package)
 django-uwsgi provides several features for Django projects deployed to uWSGI:
 .
  * Admin page with uWSGI stats (options to reload/stop uWSGI, clear uWSGI
    cache)
  * uWSGI Cache Backend for Django
  * uWSGI Email Backend for Django(send emails via uWSGI's spooler)
  * Debug Panel for django-debug-toolbar (offers same functions as admin page)
  * Django template loader for embedded into uWSGI files
  * Django Management Command runuwsgi (with live autoreload when DEBUG is True)
  * uWSGI config generator
  * Django CBV Mixins based on uWSGI decorators
 .
 This package is a transitional package. It installs python-django-uwsgi-ng-doc.

Package: python3-django-uwsgi
Section: oldlibs
Architecture: all
Depends:
 ${misc:Depends},
 python3-django-uwsgi-ng
Description: uWSGI related tools for Django (Python3 version, transitional dummy package)
 django-uwsgi provides several features for Django projects deployed to uWSGI:
 .
  * Admin page with uWSGI stats (options to reload/stop uWSGI, clear uWSGI
    cache)
  * uWSGI Cache Backend for Django
  * uWSGI Email Backend for Django(send emails via uWSGI's spooler)
  * Debug Panel for django-debug-toolbar (offers same functions as admin page)
  * Django template loader for embedded into uWSGI files
  * Django Management Command runuwsgi (with live autoreload when DEBUG is True)
  * uWSGI config generator
  * Django CBV Mixins based on uWSGI decorators
 .
 This package is a transitional package. It installs python3-django-uwsgi-ng.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-uwsgi-ng

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html

override_dh_clean:
	find -name .DS_Store -type f -delete
	rm -rf docs/.build
	dh_clean

override_dh_fixperms:
	dh_fixperms
	chmod 0644 debian/python*-django-uwsgi-ng/usr/lib/python*/*-packages/django_uwsgi/templates/uwsgi/*.html

override_dh_compress:
	dh_compress -Xchangelog.html

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-uwsgi-ng/django-uwsgi-ng-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
